import { system, world } from "@minecraft/server";
import { isAdmin } from "../isAdmin";
import { DirectorUI } from "./DirectorUI-Modules/Main";
import { ActionForm } from "../form_func";
import { eventMgr } from "../eventManager";
function directorUIEvent(e) {
  system.run(() => {
    if (e.itemStack.typeId == "azalea:director_ui") {
      // world.sendMessage(e.source.name)
      if (!isAdmin(e.source)) return e.source.sendMessage(`§dYou need admin to use Director UI. Try doing §e/tag @s add admin`);
      let director = new DirectorUI(e.source);
      director.open();
    }
  });
}
eventMgr.listen("ItemUse", directorUIEvent);